Debian Bug report logs - #561793
python-epydoc: epydoc doesn't work with python-docutils >= 0.6, this is a (known) upstream problem.

version graph

Package: python-epydoc; Maintainer for python-epydoc is Kenneth J. Pronovici <pronovic@debian.org>; Source for python-epydoc is src:epydoc.

Reported by: Thomas Hille <poldy@nightsabers.org>

Date: Sun, 20 Dec 2009 11:42:04 UTC

Severity: grave

Found in version epydoc/3.0.1-3

Fixed in version epydoc/3.0.1-4

Done: pronovic@debian.org (Kenneth J. Pronovici)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, poldy@nightsabers.org, pronovic@debian.org (Kenneth J. Pronovici):
Bug#561793; Package python-epydoc. (Sun, 20 Dec 2009 11:42:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Hille <poldy@nightsabers.org>:
New Bug report received and forwarded. Copy sent to poldy@nightsabers.org, pronovic@debian.org (Kenneth J. Pronovici). (Sun, 20 Dec 2009 11:42:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thomas Hille <poldy@nightsabers.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: python-epydoc: epydoc doesn't work with python-docutils >= 0.6, this is a (known) upstream problem.
Date: Sun, 20 Dec 2009 12:36:06 +0100
Package: python-epydoc
Version: 3.0.1-3
Severity: grave
Justification: renders package unusable

epydoc doesn't work with docutils >= 0.6. It always just looks like:

 File "/usr/bin/epydoc", line 13, in <module>
    cli()
  File "/usr/lib/pymodules/python2.5/epydoc/cli.py", line 965, in cli
    main(options, names)
  File "/usr/lib/pymodules/python2.5/epydoc/cli.py", line 757, in main
    exclude_parse=exclude_parse)
  File "/usr/lib/pymodules/python2.5/epydoc/docbuilder.py", line 275, in build_doc_index
    parse_docstring(val_doc, docindex, suppress_warnings)
  File "/usr/lib/pymodules/python2.5/epydoc/docstringparser.py", line 234, in parse_docstring
    parse_docstring(init_api_doc, docindex, suppress_warnings)
  File "/usr/lib/pymodules/python2.5/epydoc/docstringparser.py", line 265, in parse_docstring
    api_doc.summary, api_doc.other_docs = api_doc.descr.summary()
  File "/usr/lib/pymodules/python2.5/epydoc/markup/restructuredtext.py", line 179, in summary
    try: self._document.walk(visitor)
  File "/usr/lib/pymodules/python2.5/docutils/nodes.py", line 137, in walk
    if child.walk(visitor):
  File "/usr/lib/pymodules/python2.5/docutils/nodes.py", line 129, in walk
    visitor.dispatch_visit(self)
  File "/usr/lib/pymodules/python2.5/docutils/nodes.py", line 1604, in dispatch_visit
    return method(node)
  File "/usr/lib/pymodules/python2.5/epydoc/markup/restructuredtext.py", line 307, in visit_paragraph
    m = self._SUMMARY_RE.match(child.data)
AttributeError: 'Text' object has no attribute 'data'
make[1]: *** [docs] Fehler 1
make[1]: Leaving directory `/home/black/Projects/condensation/trunk'
make: *** [release] Fehler 2


This is a known upstream error. I don't know, if any patches exist, but for the moment epydoc doesn't work at all.



-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.31-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages python-epydoc depends on:
ii  python                        2.5.4-4    An interactive high-level object-o
ii  python-support                1.0.6      automated rebuilding support for P

Versions of packages python-epydoc recommends:
ii  ghostscript [gs-common]   8.70~dfsg-2+b1 The GPL Ghostscript PostScript/PDF
ii  graphviz                  2.20.2-6       rich set of graph drawing tools
ii  gs-common                 8.70~dfsg-2    Dummy package depending on ghostsc
ii  python-docutils           0.6-2          utilities for the documentation of
ii  python-tk                 2.5.2-1.1      Tkinter - Writing Tk applications 
pn  texlive-fonts-recommended <none>         (no description available)
pn  texlive-latex-base        <none>         (no description available)
pn  texlive-latex-extra       <none>         (no description available)
pn  texlive-latex-recommended <none>         (no description available)

Versions of packages python-epydoc suggests:
pn  epydoc-doc                    <none>     (no description available)
ii  python-profiler               2.5.2-1    deterministic profiling of any Pyt

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, pronovic@debian.org (Kenneth J. Pronovici):
Bug#561793; Package python-epydoc. (Sun, 20 Dec 2009 12:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Hille <thomas.hille@nightsabers.org>:
Extra info received and forwarded to list. Copy sent to pronovic@debian.org (Kenneth J. Pronovici). (Sun, 20 Dec 2009 12:03:05 GMT) Full text and rfc822 format available.

Message #10 received at 561793@bugs.debian.org (full text, mbox):

From: Thomas Hille <thomas.hille@nightsabers.org>
To: 561793@bugs.debian.org
Subject: Upstream bug report
Date: Sun, 20 Dec 2009 12:51:38 +0100
This is the upstream bug-report I found. No (known) patches though.

> http://sourceforge.net/tracker/?func=detail&aid=2895197&group_id=32455&atid=405618





Information forwarded to debian-bugs-dist@lists.debian.org, pronovic@debian.org (Kenneth J. Pronovici):
Bug#561793; Package python-epydoc. (Sun, 20 Dec 2009 15:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kenneth Pronovici <pronovic@ieee.org>:
Extra info received and forwarded to list. Copy sent to pronovic@debian.org (Kenneth J. Pronovici). (Sun, 20 Dec 2009 15:42:03 GMT) Full text and rfc822 format available.

Message #15 received at 561793@bugs.debian.org (full text, mbox):

From: Kenneth Pronovici <pronovic@ieee.org>
To: Thomas Hille <thomas.hille@nightsabers.org>, 561793@bugs.debian.org
Subject: Re: Bug#561793: Upstream bug report
Date: Sun, 20 Dec 2009 09:37:38 -0600
[Message part 1 (text/plain, inline)]
Ok, thanks for filing the bug.  I would be happy to apply a patch if one
becomes available.

KEN

-- 
Kenneth J. Pronovici <pronovic@ieee.org>
http://www.cedar-solutions.com/
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, pronovic@debian.org (Kenneth J. Pronovici):
Bug#561793; Package python-epydoc. (Mon, 21 Dec 2009 10:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Hille <thomas.hille@nightsabers.org>:
Extra info received and forwarded to list. Copy sent to pronovic@debian.org (Kenneth J. Pronovici). (Mon, 21 Dec 2009 10:21:04 GMT) Full text and rfc822 format available.

Message #20 received at 561793@bugs.debian.org (full text, mbox):

From: Thomas Hille <thomas.hille@nightsabers.org>
To: 561793@bugs.debian.org
Subject: I've made a Patch
Date: Mon, 21 Dec 2009 11:17:32 +0100
I made this small patch wich fixes the most critical bug with docutils 
0.6. Some testing resulted in some other possible bugs, investigating this.


> --- orig/epydoc/markup/restructuredtext.py    2008-01-28 
> 19:15:33.000000000 +0100
> +++ local/epydoc/markup/restructuredtext.py    2009-12-21 
> 11:04:03.000000000 +0100
> @@ -304,8 +304,8 @@
>          # Extract the first sentence.
>          for child in node:
>              if isinstance(child, docutils.nodes.Text):
> -                m = self._SUMMARY_RE.match(child.data)
> -                if m:
> +        if hasattr(child, 'data'):
> +                    m = self._SUMMARY_RE.match(child.data)
>                      
> summary_pieces.append(docutils.nodes.Text(m.group(1)))
>                      other = child.data[m.end():]
>                      if other and not other.isspace():





Information forwarded to debian-bugs-dist@lists.debian.org, pronovic@debian.org (Kenneth J. Pronovici):
Bug#561793; Package python-epydoc. (Mon, 21 Dec 2009 10:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Hille <thomas.hille@nightsabers.org>:
Extra info received and forwarded to list. Copy sent to pronovic@debian.org (Kenneth J. Pronovici). (Mon, 21 Dec 2009 10:27:04 GMT) Full text and rfc822 format available.

Message #25 received at 561793@bugs.debian.org (full text, mbox):

From: Thomas Hille <thomas.hille@nightsabers.org>
To: 561793@bugs.debian.org
Subject: previous patch is <managerspeak>not performing to it's full potential</managerspeak>
Date: Mon, 21 Dec 2009 11:21:40 +0100
This should have been it:

--- orig/epydoc/markup/restructuredtext.py    2008-01-28 
19:15:33.000000000 +0100
+++ patched/epydoc/markup/restructuredtext.py    2009-12-21 
11:19:20.000000000 +0100
@@ -304,13 +304,14 @@
        # Extract the first sentence.
        for child in node:
            if isinstance(child, docutils.nodes.Text):
-                m = self._SUMMARY_RE.match(child.data)
-                if m:
-                    summary_pieces.append(docutils.nodes.Text(m.group(1)))
-                    other = child.data[m.end():]
-                    if other and not other.isspace():
-                        self.other_docs = True
-                    break
+        if hasattr(child, 'data'):
+                    m = self._SUMMARY_RE.match(child.data)
+                    if m:
+                        
summary_pieces.append(docutils.nodes.Text(m.group(1)))
+                        other = child.data[m.end():]
+                        if other and not other.isspace():
+                            self.other_docs = True
+                        break
            summary_pieces.append(child)

        summary_doc = self.document.copy() # shallow copy





Information forwarded to debian-bugs-dist@lists.debian.org, pronovic@debian.org (Kenneth J. Pronovici):
Bug#561793; Package python-epydoc. (Mon, 21 Dec 2009 15:57:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kenneth Pronovici <pronovic@ieee.org>:
Extra info received and forwarded to list. Copy sent to pronovic@debian.org (Kenneth J. Pronovici). (Mon, 21 Dec 2009 15:57:12 GMT) Full text and rfc822 format available.

Message #30 received at 561793@bugs.debian.org (full text, mbox):

From: Kenneth Pronovici <pronovic@ieee.org>
To: Thomas Hille <thomas.hille@nightsabers.org>, 561793@bugs.debian.org
Subject: Re: Bug#561793: I've made a Patch
Date: Mon, 21 Dec 2009 09:53:17 -0600
[Message part 1 (text/plain, inline)]
Hi,

I haven't had time to look at this yet, and I might not have time until
after the holidays due to work schedule and travel.  Sorry about that.

I have pinged Edward (upstream) to see whether I can get some feedback from
him before I consider applying the patch.  I don't have a a problem applying
your patch if we don't hear from Edward, but I'd like to get his blessing if
possible, since this parsing code is fairly complex.

Couple of quick questions:

1. Does the existing unit test suite pass or fail with Docutils 0.6?  If
not, have you been able to develop any tests that we could add to the suite
to demonstrate the problem?

2. Does the existing unit test suite pass or fail with your patches in
place?  What testing have you been doing to check for possible bugs (the
ones you mention above)?

Thanks,

KEN
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, pronovic@debian.org (Kenneth J. Pronovici):
Bug#561793; Package python-epydoc. (Mon, 21 Dec 2009 20:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Emilio Pozuelo Monfort <pochu@debian.org>:
Extra info received and forwarded to list. Copy sent to pronovic@debian.org (Kenneth J. Pronovici). (Mon, 21 Dec 2009 20:57:05 GMT) Full text and rfc822 format available.

Message #35 received at 561793@bugs.debian.org (full text, mbox):

From: Emilio Pozuelo Monfort <pochu@debian.org>
To: Thomas Hille <thomas.hille@nightsabers.org>, 561793@bugs.debian.org
Subject: Re: Bug#561793: I've made a Patch
Date: Mon, 21 Dec 2009 21:55:11 +0100
[Message part 1 (text/plain, inline)]
Thomas Hille wrote:
> 
> I made this small patch wich fixes the most critical bug with docutils
> 0.6. Some testing resulted in some other possible bugs, investigating this.
> 
> 
>> --- orig/epydoc/markup/restructuredtext.py    2008-01-28
>> 19:15:33.000000000 +0100
>> +++ local/epydoc/markup/restructuredtext.py    2009-12-21
>> 11:04:03.000000000 +0100
>> @@ -304,8 +304,8 @@
>>          # Extract the first sentence.
>>          for child in node:
>>              if isinstance(child, docutils.nodes.Text):
>> -                m = self._SUMMARY_RE.match(child.data)
>> -                if m:
>> +        if hasattr(child, 'data'):
>> +                    m = self._SUMMARY_RE.match(child.data)

Indentation is pretty important in Python, and it seems broken here.

Emilio

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, pronovic@debian.org (Kenneth J. Pronovici):
Bug#561793; Package python-epydoc. (Tue, 22 Dec 2009 10:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Hille <thomas.hille@nightsabers.org>:
Extra info received and forwarded to list. Copy sent to pronovic@debian.org (Kenneth J. Pronovici). (Tue, 22 Dec 2009 10:57:08 GMT) Full text and rfc822 format available.

Message #40 received at 561793@bugs.debian.org (full text, mbox):

From: Thomas Hille <thomas.hille@nightsabers.org>
To: 561793@bugs.debian.org
Subject: Testing and patch as attachement
Date: Tue, 22 Dec 2009 11:53:48 +0100
[Message part 1 (text/plain, inline)]
Does anybody know how to run the epydoc tests? running doctest directly 
doesn't work due to needed libraries and I have absolutely no idea how 
the code in test is to be called. 'python -m doctest 
epydoc/test/__init__.py' therefore does not yield useful results. - A 
'make test' for dummies like me would help...

The indentation gets corrupted by evolution, don't know why. Now the 
patch as an attachment. Note to self: never c&p a patch again...

-Thomas
[epydoc-3.0.1-docutils-0.6.patch (text/x-patch, inline)]
--- epydoc-3.0.1/epydoc/markup/restructuredtext.py	2008-01-28 19:15:33.000000000 +0100
+++ restructuredtext.py	2009-12-22 11:49:06.000000000 +0100
@@ -304,13 +304,14 @@
         # Extract the first sentence.
         for child in node:
             if isinstance(child, docutils.nodes.Text):
-                m = self._SUMMARY_RE.match(child.data)
-                if m:
-                    summary_pieces.append(docutils.nodes.Text(m.group(1)))
-                    other = child.data[m.end():]
-                    if other and not other.isspace():
-                        self.other_docs = True
-                    break
+                if hasattr(child, 'data'):
+                    m = self._SUMMARY_RE.match(child.data)
+                    if m:
+                        summary_pieces.append(docutils.nodes.Text(m.group(1)))
+                        other = child.data[m.end():]
+                        if other and not other.isspace():
+                            self.other_docs = True
+                        break
             summary_pieces.append(child)
 
         summary_doc = self.document.copy() # shallow copy

Information forwarded to debian-bugs-dist@lists.debian.org, pronovic@debian.org (Kenneth J. Pronovici):
Bug#561793; Package python-epydoc. (Tue, 22 Dec 2009 15:18:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kenneth Pronovici <pronovic@ieee.org>:
Extra info received and forwarded to list. Copy sent to pronovic@debian.org (Kenneth J. Pronovici). (Tue, 22 Dec 2009 15:18:09 GMT) Full text and rfc822 format available.

Message #45 received at 561793@bugs.debian.org (full text, mbox):

From: Kenneth Pronovici <pronovic@ieee.org>
To: Thomas Hille <thomas.hille@nightsabers.org>, 561793@bugs.debian.org
Subject: Re: Bug#561793: Testing and patch as attachement
Date: Tue, 22 Dec 2009 09:12:20 -0600
[Message part 1 (text/plain, inline)]
Don't worry about the unit tests for now.  It's been a while since I looked
at this code, and I thought I recalled a unit test suite that I was running
as part of the package build process.  I was thinking of pychecker instead.


KEN
[Message part 2 (text/html, inline)]

Added indication that bug 561793 blocks 560624 Request was from Jakub Wilk <ubanus@users.sf.net> to control@bugs.debian.org. (Wed, 30 Dec 2009 23:12:14 GMT) Full text and rfc822 format available.

Added indication that bug 561793 blocks 560659 Request was from Jakub Wilk <ubanus@users.sf.net> to control@bugs.debian.org. (Wed, 30 Dec 2009 23:12:15 GMT) Full text and rfc822 format available.

Added indication that bug 561793 blocks 560606 Request was from Jakub Wilk <ubanus@users.sf.net> to control@bugs.debian.org. (Wed, 30 Dec 2009 23:12:17 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, pronovic@debian.org (Kenneth J. Pronovici):
Bug#561793; Package python-epydoc. (Thu, 31 Dec 2009 04:54:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kenneth Pronovici <pronovic@ieee.org>:
Extra info received and forwarded to list. Copy sent to pronovic@debian.org (Kenneth J. Pronovici). (Thu, 31 Dec 2009 04:54:07 GMT) Full text and rfc822 format available.

Message #56 received at 561793@bugs.debian.org (full text, mbox):

From: Kenneth Pronovici <pronovic@ieee.org>
To: 561793@bugs.debian.org, Thomas Hille <thomas.hille@nightsabers.org>
Cc: 560624@bugs.debian.org, 560659@bugs.debian.org, 560606@bugs.debian.org, "Loper, Edward" <edloper@seas.upenn.edu>
Subject: Epydoc patch (Debian bug #561793)
Date: Wed, 30 Dec 2009 22:50:28 -0600
[Message part 1 (text/plain, inline)]
Thomas,

Ok, I have finally had time to review your patch and test it.   Sorry this
took me a while.

This bug is now linked with 560624, 560659 and 560606, which are FTBFS bugs
for python-couchdb, dbus-python and pymvpa.  I was able to reproduce the
build problems with those packages using python-epydoc 3.0.1-3 and
python-docutils 0.6-2 (both from unstable).

After applying your patch, the build problems went away for python-couchdb
and dbus-python.  The pymvpa build exposed one other piece of code where a
".data" element is referenced, so I made a similar change there.  (A new
patch is attached.)

I can't confirm that the documentation looks exactly correct in each of the
packages I tested, but I spot-checked it and it does look reasonable.

I haven't heard back from Edward (upstream), so that leaves it up to me.
The patch shouldn't have any impact on behavior except when the ".data"
attribute is missing, so it feels fairly safe.  I tend to think the result
with the patch in place is much better than just blowing up.    So, I am
going to apply it for Debian version 3.0.1-4, which I will upload later
tonite.  I will also update the SF bug to reference this Debian bug (and the
patch), in case Edward wants to put into the upstream release.

To the other Debian maintainers: please let me know if you see any problems
with the documentation that has been generated for your packages.  I can
always fall this change back if needed.

Thanks,

KEN

-- 
Kenneth J. Pronovici <pronovic@ieee.org>
http://www.cedar-solutions.com/
[Message part 2 (text/html, inline)]
[debian-561793.patch (text/x-patch, attachment)]

Reply sent to pronovic@debian.org (Kenneth J. Pronovici):
You have taken responsibility. (Thu, 31 Dec 2009 05:36:14 GMT) Full text and rfc822 format available.

Notification sent to Thomas Hille <poldy@nightsabers.org>:
Bug acknowledged by developer. (Thu, 31 Dec 2009 05:36:14 GMT) Full text and rfc822 format available.

Message #61 received at 561793-close@bugs.debian.org (full text, mbox):

From: pronovic@debian.org (Kenneth J. Pronovici)
To: 561793-close@bugs.debian.org
Subject: Bug#561793: fixed in epydoc 3.0.1-4
Date: Thu, 31 Dec 2009 05:32:10 +0000
Source: epydoc
Source-Version: 3.0.1-4

We believe that the bug you reported is fixed in the latest version of
epydoc, which is due to be installed in the Debian FTP archive:

epydoc-doc_3.0.1-4_all.deb
  to main/e/epydoc/epydoc-doc_3.0.1-4_all.deb
epydoc_3.0.1-4.diff.gz
  to main/e/epydoc/epydoc_3.0.1-4.diff.gz
epydoc_3.0.1-4.dsc
  to main/e/epydoc/epydoc_3.0.1-4.dsc
python-epydoc_3.0.1-4_all.deb
  to main/e/epydoc/python-epydoc_3.0.1-4_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 561793@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Kenneth J. Pronovici <pronovic@debian.org> (supplier of updated epydoc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 31 Dec 2009 02:56:36 +0000
Source: epydoc
Binary: python-epydoc epydoc-doc
Architecture: source all
Version: 3.0.1-4
Distribution: unstable
Urgency: low
Maintainer: Kenneth J. Pronovici <pronovic@debian.org>
Changed-By: Kenneth J. Pronovici <pronovic@debian.org>
Description: 
 epydoc-doc - official documentation for the Epydoc package
 python-epydoc - tool for generating Python API documentation
Closes: 561793
Changes: 
 epydoc (3.0.1-4) unstable; urgency=low
 .
   * Bump standards version to 3.8.3 (no packaging changes).
   * Add ${misc:Depends} for all binary packages, per lintian recommendation.
   * Apply patch to fix problems with docutils 0.6 (closes: #561793).
     - Thanks to Thomas Hille for research and the initial patch.
Checksums-Sha1: 
 f3f30bb4ab1c3c2da75c3daf80c16de8c1914a71 994 epydoc_3.0.1-4.dsc
 8e7407c5cea95a56324bc278a259ba2c21a705b7 8076 epydoc_3.0.1-4.diff.gz
 749658736930cc58952b6362bf06513d0be5cb73 266534 python-epydoc_3.0.1-4_all.deb
 d9f5a7e4cb3fc7c4e308ad085c9e59b69a52150f 1542812 epydoc-doc_3.0.1-4_all.deb
Checksums-Sha256: 
 6b19d5ddc8ee5113abd18bb64934c44dc606adf33da3c6f036582abd95c19ea7 994 epydoc_3.0.1-4.dsc
 f75e529bff86f4b23e00124ef0abb76270c2e586694f1284a5171e5ed02588e1 8076 epydoc_3.0.1-4.diff.gz
 0b26ee156bacbeb0496193b7c3cfd5fd2f23578ed52c3e31b5ff7ed48ca34f85 266534 python-epydoc_3.0.1-4_all.deb
 57f218b39a4decd0741dbc7803ab08e15145151dd2af4e2d7293cbf54f9e7dd6 1542812 epydoc-doc_3.0.1-4_all.deb
Files: 
 90f423eef344e2ae35f40b5e9eb4445c 994 python optional epydoc_3.0.1-4.dsc
 e8e844319f5c094f172133e16b41048f 8076 python optional epydoc_3.0.1-4.diff.gz
 1a4863a5d6626a1c03e6c68a8478123f 266534 python optional python-epydoc_3.0.1-4_all.deb
 df5db39be149b81240a3d549e0feef0c 1542812 doc optional epydoc-doc_3.0.1-4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAks8Ki4ACgkQ8On2ujzZUQTHYgCfbN6N25Df/p48jr795uKCtplX
tAoAnj0FOENd8St6uSXE7umGlreGbMWg
=NF9K
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 28 Jan 2010 07:37:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 07:33:22 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.